package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.PunchLocation;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface PunchLocationDAO {
	int insert(PunchLocation entity);
	int update(PunchLocation entity);
	int exist(String id);
	PunchLocation get(String id);
	int delete(String id);
	List<PunchLocation> list();
	List<PunchLocation> search(Map<String, Object> searchParams, List<Sort> sortList);
}